<!-- THIS PART OF THIS FILE IS AUTOGENERATED. DO NOT MODIFY IT. See scripts/generate-docs.sh -->
# got
<small style="color: lightgray;">(only in GDB)</small>

```text
usage: got [-h] [-p PATH_FILTER | -a] [-r] [symbol_filter]

```

Show the state of the Global Offset Table.
### Positional arguments

|Positional Argument|Help|
| :--- | :--- |
|symbol_filter|Filter results by symbol name. (default: '')|

### Optional arguments

|Short|Long|Help|
| :--- | :--- | :--- |
|-h|--help|show this help message and exit|
|-p|--path|Filter results by library/objfile path. (default: '')|
|-a|--all|Process all libs/obfjiles including the target executable.|
|-r|--show-readonly|Also display read-only entries (which are filtered out by default).|

### Examples
```text
> got
    Print all writable GOT entries in the executable.
> got -r puts
    Print all GOT entries that contain the string "puts".
> got -p libc
    Print all writable GOT entries used by libc. (And any other loaded
    object files that contain the string "libc" in their path).
> got -ra
    Print all GOT entries in the address space.
```

<!-- END OF AUTOGENERATED PART. Do not modify this line or the line below, they mark the end of the auto-generated part of the file. If you want to extend the documentation in a way which cannot easily be done by adding to the command help description, write below the following line. -->
<!-- ------------\>8---- ----\>8---- ----\>8------------ -->
